package com.srs.teacher.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysTeacherStudyMapper;
import com.srs.teacher.domain.SysTeacherStudy;
import com.srs.teacher.service.ISysTeacherStudyService;

/**
 * studyService业务层处理
 *
 * @author srs
 * @date 2024-05-28
 */
@Service
public class SysTeacherStudyServiceImpl extends ServiceImpl<SysTeacherStudyMapper,SysTeacherStudy> implements ISysTeacherStudyService {
    @Autowired
    private SysTeacherStudyMapper sysTeacherStudyMapper;

    /**
     * 查询study
     *
     * @param studyId study主键
     * @return study
     */
    @Override
    public SysTeacherStudy selectSysTeacherStudyByStudyId(Long studyId) {
        return sysTeacherStudyMapper.selectSysTeacherStudyByStudyId(studyId);
    }

    /**
     * 查询study列表
     *
     * @param sysTeacherStudy study
     * @return study
     */
    @Override
    public List<SysTeacherStudy> selectSysTeacherStudyList(SysTeacherStudy sysTeacherStudy) {
        return sysTeacherStudyMapper.selectSysTeacherStudyList(sysTeacherStudy);
    }

    /**
     * 新增study
     *
     * @param sysTeacherStudy study
     * @return 结果
     */
    @Override
    public int insertSysTeacherStudy(SysTeacherStudy sysTeacherStudy) {
            return sysTeacherStudyMapper.insertSysTeacherStudy(sysTeacherStudy);
    }

    /**
     * 修改study
     *
     * @param sysTeacherStudy study
     * @return 结果
     */
    @Override
    public int updateSysTeacherStudy(SysTeacherStudy sysTeacherStudy) {
        return sysTeacherStudyMapper.updateSysTeacherStudy(sysTeacherStudy);
    }

    /**
     * 批量删除study
     *
     * @param studyIds 需要删除的study主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherStudyByStudyIds(Long[] studyIds) {
        return sysTeacherStudyMapper.deleteSysTeacherStudyByStudyIds(studyIds);
    }

    /**
     * 删除study信息
     *
     * @param studyId study主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherStudyByStudyId(Long studyId) {
        return sysTeacherStudyMapper.deleteSysTeacherStudyByStudyId(studyId);
    }
}
